%global commit 2ed66bed5194020f2faf94999ee4bead4dd545c1
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global module_name  rosinstall_generator
%global sum     Generates rosinstall files

Name:           python-%{module_name}
Version:        0.1.11
Release:        3%{?dist}
Summary:        %{sum}

License:        BSD
URL:            http://wiki.ros.org/%{module_name}
Source0:        https://github.com/ros-infrastructure/%{module_name}/archive/%{commit}/%{module_name}-%{commit}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel python3-devel
BuildRequires:  python2-setuptools python3-setuptools

%description
The rosinstall_generator generates rosinstall files containing information
about repositories with ROS packages/stacks. 

%package -n python2-%{module_name}
Summary:    %{sum}
%{?python_provide:%python_provide python2-%{module_name}}

%description -n python2-%{module_name}
The rosinstall_generator generates rosinstall files containing information
about repositories with ROS packages/stacks. 

%package -n python3-%{module_name}
Summary:    %{sum}
%{?python_provide:%python_provide python3-%{module_name}}

%description -n python3-%{module_name}
The rosinstall_generator generates rosinstall files containing information
about repositories with ROS packages/stacks. 


%prep
%autosetup -n %{module_name}-%{commit}


%build
%py2_build
%py3_build

%install
%py2_install
mv $RPM_BUILD_ROOT/%{_bindir}/%{module_name} $RPM_BUILD_ROOT/%{_bindir}/%{module_name}-2.7
%py3_install
cp $RPM_BUILD_ROOT/%{_bindir}/%{module_name} $RPM_BUILD_ROOT/%{_bindir}/%{module_name}-3.5

%files -n python2-%{module_name}
%doc README.rst
%license LICENSE.txt
%{python2_sitelib}/%{module_name}
%{python2_sitelib}/%{module_name}-%{version}-py2.?.egg-info
%{_bindir}/%{module_name}-2.7

%files -n python3-%{module_name}
%doc README.rst
%license LICENSE.txt
%{python3_sitelib}/%{module_name}
%{python3_sitelib}/%{module_name}-%{version}-py3.?.egg-info
%{_bindir}/%{module_name}
%{_bindir}/%{module_name}-3.5

%changelog
* Sun Jun 19 2016 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.1.11-3
- Build python3 package also

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Jul 04 2015 Scott K Logan <logans@cottsay.net> - 0.1.11-1
- Update to release 0.1.11
- Update to latest packaging guidelines

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Dec 30 2014 Rich Mattes <richmattes@gmail.com> - 0.1.10-1
- Update to release 0.1.10
- Update to fedora github guidelines for source url

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon May 19 2014 Scott K Logan <logans@cottsay.net> 0.1.9-1
- Update to latest upstream release

* Thu Feb 20 2014 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.1.8-1
- Update to latest upstream release
- rhbz 1066906

* Sat Feb 08 2014 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.1.7-1
- Updated as per comments in rhbz 1062843
-  Initial rpm build
